Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1353585

Summary: SELinux is preventing systemd-gpt-aut from 'execute' accesses on the file fsck.ext4.
Product: [Fedora] Fedora Reporter: Mike Simms <micsim2007>
Component: selinux-policyAssignee: Lukas Vrabec <lvrabec>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: dominick.grift, dwalsh, lvrabec, mgrepl, plautrba
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:b51c767103892a6def19b3b4b5fb80359205e68bbc988a94da87db0859388b1c;
Fixed In Version: selinux-policy-3.13.1-191.9.fc24 selinux-policy-3.13.1-191.10.fc24 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-08-12 19:29:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Mike Simms 2016-07-07 13:40:32 UTC
Description of problem:
running first system update with yumex
SELinux is preventing systemd-gpt-aut from 'execute' accesses on the file fsck.ext4.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that systemd-gpt-aut should be allowed execute access on the fsck.ext4 file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'systemd-gpt-aut' --raw | audit2allow -M my-systemdgptaut
# semodule -X 300 -i my-systemdgptaut.pp

Additional Information:
Source Context                system_u:system_r:systemd_gpt_generator_t:s0
Target Context                system_u:object_r:fsadm_exec_t:s0
Target Objects                fsck.ext4 [ file ]
Source                        systemd-gpt-aut
Source Path                   systemd-gpt-aut
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-190.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.5.5-300.fc24.x86_64 #1 SMP Thu
                              May 19 13:05:32 UTC 2016 x86_64 x86_64
Alert Count                   1
First Seen                    2016-07-07 14:38:20 BST
Last Seen                     2016-07-07 14:38:20 BST
Local ID                      380da1b2-7281-45d9-9eed-3414d2c5f534

Raw Audit Messages
type=AVC msg=audit(1467898700.136:375): avc:  denied  { execute } for  pid=3563 comm="systemd-gpt-aut" name="fsck.ext4" dev="sda5" ino=2103289 scontext=system_u:system_r:systemd_gpt_generator_t:s0 tcontext=system_u:object_r:fsadm_exec_t:s0 tclass=file permissive=1


Hash: systemd-gpt-aut,systemd_gpt_generator_t,fsadm_exec_t,file,execute

Version-Release number of selected component:
selinux-policy-3.13.1-190.fc24.noarch

Additional info:
reporter:       libreport-2.7.1
hashmarkername: setroubleshoot
kernel:         4.5.5-300.fc24.x86_64
reproducible:   Not sure how to reproduce the problem
type:           libreport

Comment 1 Fedora Update System 2016-08-10 12:24:34 UTC
selinux-policy-3.13.1-191.10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2c8a3e08c6

Comment 2 Fedora Update System 2016-08-12 19:28:28 UTC
selinux-policy-3.13.1-191.10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.